sabato 25 giugno 2011

Alice PPPOE connect / PPPoE for Android 1.8 released

Rilasciata la versione 1.8 di Alice PPPoE Connect.
Questa versione risolve il bug che rendeva impossibile navigare su alcuni cellulari pur risultando connessi.

1.8 version of PPPoE for Android released: this version solves an issue with the route command that made the connection impossible on some devices.

40 commenti:

  1. Ciao,
    ho installato la versione 1.8 sul mio Tablet Honeycomb 3.1. E' un Asus Transformer.
    L'applicazione sembra collegarsi ma poi non navigo. Ecco quello che viene scritto nel Debug:

    reloc_library[1315]: 2925 cannot locate'__set_syscall_errno'...
    CANNOT LINK EXECUTABLE

    Using Interface ppp0
    Connect: ppp0 <--> /dev/pts/0
    PAP authentication succeded
    local IP address 79.0.74.xxx
    remote IP address 192.168.100.1

    Come vedi sembra prendere l'IP pubblico ma poi non navigo. Ho il padellone bianco di Alice con ADSL a tempo e quindi devo per forza usare il PPPoE. Puoi aiutarmi?

    Grazie

    RispondiElimina
  2. marcolino hai gtalk o simile? Così vediamo se posso aiutarti meglio. A occhio sembra un problema di default route comunque.

    RispondiElimina
  3. si ho gtalk e adesso sono in montagna con l'adsl a pagamento....lo apro...

    RispondiElimina
  4. come ti contatto?!? ho gtalk aperto

    RispondiElimina
  5. mi sa che è un problema di route anche a me. guardanto le route sul tablet:

    Iface Destination Gateway Flags RefCnt Use Metric Mask
    MTU Window IRTT

    wlan0 0101A8C0 00000000 0005 0 0 0 FFFFFFFF
    0 0 0

    ppp0 0164A8C0 00000000 0005 0 0 0 FFFFFFFF
    0 0 0

    wlan0 0001A8C0 00000000 0001 0 0 309 00FFFFFF
    0 0 0

    wlan0 00000000 0101A8C0 0003 0 0 0 00000000
    0 0 0

    wlan0 00000000 0101A8C0 0003 0 0 309 00000000
    0 0 0

    per quello che posso capirne il ppp0 non diventa la default route....dovrebbe avere destination 00000000, giusto?

    RispondiElimina
  6. Ok...l'avevo scaricato su android 2.2.2 ma non funzionava. Adesso su Android 2.3.3 funziona bene

    RispondiElimina
  7. Ciao, ho scaricato anche io questa applicazione e l'ho installta su un samsung galaxy s android gingerbread, ma quando provo a collegarmi mi da una lista bella lunga di errori per questo ho fatto uno screenshot e l'ho messo a questo link: http://imageshack.us/photo/my-images/535/sc20110821185541.png/ se tu potessi dargli un occhiata te ne sarei grato.

    RispondiElimina
  8. ciao silvestro, quegli errori significano che il tuo kernel non supporta il PPP. Per risolvere il problema devi flashare un kernel che abbia il supporto PPP abilitato. Comunque la cosa è strana, perchè su Galaxy S con android froyo va senza problemi, Samsung deve aver disabilitato il PPP sul kernel gingerbread ma non capisco perchè

    RispondiElimina
  9. Comunque su vuoi mandami una mail che ti aiuto a risolvere (l'indirizzo lo trovi sul market)

    RispondiElimina
  10. ho girovagato per un po sul market ma non sono riuscito a trovare la tua mail, come faccio a trovarla?

    RispondiElimina
  11. Ho trovato la tua email nell'ordine della mia app che hai fatto sul market, posso aggiungerti su gtalk? cmq il mio indirizzo è car.miglio[at]gmail.com

    RispondiElimina
  12. Ciao,
    ho acquistato l'app ma dal mio tablet non riesco a navigare! ... a volte si blocca non assegnando l'indirizzo ip e a volte completa tutta la connessione comprensivo di ip ma lo stesso non naviga!queste sono le specifiche del mio dispositivo:
    kernel 2.6.32.9
    build number 1.52
    android 2.2
    ... Qualche consiglio???

    RispondiElimina
  13. Ciao Lamberto, mi puoi dire che cellulare hai? E soprattutto quale è il tuo modem? Dai problemi che mi descrivi sembra che la colpa sia del modem, ma comunque c'è una soluzione. Fammi sapere :)

    RispondiElimina
  14. ciao ho appena istallato alice pppoe connect sul mio samsung galaxy ace ma non funziona mi dice "non hai i permessi di root! questa funzione necessità dei permessi di root per funzionare" puoi aiutarmi grazie

    RispondiElimina
  15. Ciao Nicolò, devi prima ottenere i permessi di root altrimenti non può funzionare :)
    Eccoti una guida su come ottenere i permessi di root su Galaxy Ace: http://www.androidworld.it/forum/firmware-e-modding-samsung-galaxy-ace-186/%5Bguida%5D-permessi-di-root-su-samsung-galaxy-ace-s5830-13108/

    RispondiElimina
  16. (devi fare copia e incolla dell'indirizzo)

    RispondiElimina
  17. ho seguito la guida che mi hai detto, ho istallato l'ultima versione di Samsung Kies attivo sul cell il Debug USB collego il cell al pc ed avvio SuperUserOneClick e premo root quando avvio alice pppoe mi da lo stesso errore "non hai i permessi di root!" dove sbaglio?????

    RispondiElimina
  18. Che versione di android hai, 2.2 o 2.3? Se hai la versione 2.3 per ottenere root devi usare gingerbreak, ecco la guida: http://www.tuttoandroid.net/guide/guida-ottenere-i-permessi-di-root-sul-samsung-galaxy-ace-2-3-20695/

    Se il telefono è abbastanza nuovo molto probabilmente hai la 2.3 ;)

    RispondiElimina
  19. infatti ho la versione 2.3.3 grazie

    RispondiElimina
  20. scusami ma sto impazzendo ho seguito la nuova procedura per ottenere i permessi di root è andata bene ora avvio alice pppoe mi da un nuovo errore "Impossibile connettersi assicurarsi che il segnale sia abbastanza forte e riprovare" il segnale è al massimo livello ?????????????

    RispondiElimina
  21. scusami, falso allarme, tutto ok. Funziona, grazie mille 6 un grande

    RispondiElimina
  22. ciao, ho lo stesso messaggio di errore di Nicolò: "Impossibile connettersi, assicurarsi che il segnale sia abbastanza forte e riprovare".
    Nella consolle riporta anche "couldn't set tty to ppp discipline: invalid argument". Per completare il quadro, ho un samsung galaxy s, android 2.3.3.
    Spero non sia il problema di cui parli sopra, cioè che abbiano rimosso il supporto al pppoe..
    Grazie, ciao

    RispondiElimina
  23. ciao fiorenzo, scusa per il ritardo della mia risposta. purtroppo il problema è proprio quello, samsung ha rimosso il supporto al PPP nei suoi kernel gingerbread... purtroppo per adesso l'unica soluzione è usare froyo oppure cercare un kernel personalizzato che abbia il supporto al PPP :)

    RispondiElimina
  24. Scusa posso sapere cosa è il PPP??? Grazie :D

    RispondiElimina
  25. Ciao Tony, il PPP è il Point to Point Protocol, un protocollo che viene usato nelle comunicazioni internet. Il kernel deve supportare il PPP altrimenti è impossibile stabilire la connessione PPPoE usata da Alice :)

    RispondiElimina
  26. Ciao ho usato l'app su vari dispositivi, ma ora su Galaxy S 2.3.3 mmi da errore "couldn't set tty to ppp discipline: invalid argument". Cosa devo fare?

    RispondiElimina
    Risposte
    1. Su Galaxy S solitamente ha funzionato senza problemi, in ogni caso questo è lo stesso errore che capita sull'S3 ed è dovuto al kernel. Vai nel post del Galaxy S3 che trovi più in alto e posta nei commenti la tua versione del kernel, così posso fare un driver ad-hoc per il tuo cellulare ;)

      Elimina
  27. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  28. Ciao, ho scaricato il tuo programma e tutto ha funzionato fin quando non ho aggiornato l'android alla versione 4.1.2...ho un galaxy s3 ed ora il Kernel che avevo prima è cambiato, il nuovo Kernel è 3.0.31-742798...come si fa ora?

    RispondiElimina
    Risposte
    1. Ci vuole il nuovo modulo per il nuovo kernel... ora lo preparo ;)

      Elimina
    2. Ciao Desert,
      è pronto il nuovo modulo?

      Elimina
    3. Scusa il ritardo, puoi trovare il nuovo modulo nel post sul Galaxy S3 :)

      Elimina
  29. desert ho provato il Kernel che hai postato ma l'emulatore, quando cerco di caricarlo, mi restituisce un messaggio di errore (exec format error)

    RispondiElimina
    Risposte
    1. Scusa il ritardo, puoi dirmi esattamente quale è il nome del tuo kernel? Probabilmente manca qualcosa a 3.0.31-742798

      Elimina
    2. esatto è proprio quello che hai scritto:"3.0.31-742798"...spero riesca a risolverlo in fretta...sono senza internet da quando ho aggiornato l'Android alla nuova versione da circa 3 settimane :(

      Elimina
    3. Ciao Nefertes, sto facendo una nuova versione del modulo, hai gtalk? Non sono sicuro del problema, se mi aggiungi e riesci a fare qualche test te ne sarei grato Fammi sapere!

      Elimina
    4. ok ti ho aggiunto a gtalk....

      Elimina